MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030850Open CASCADE[OCCT] OCCT:Visualizationpublic2019-07-17 23:382019-07-20 11:56
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030850: Visualization, OpenGl_Text - text within trihedron persistence jitters when camera is far from origin
DescriptionObject displayed with trihedron persistence is not affected by camera eye distance from origin, however oriented text does.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 0.001 0.001 0.001
vclear
vinit View1
vdisplay -dispMode 1 b
vlocation b -setLocation 1000000 0 0
vfit
vzlayer DEFAULT -origin 1000000 0 0
vviewcube vc
TagsNo tags attached.
Test case numberv3d/viewcube/largedist
Attached Filespng file icon draw_viewcube_KO.png (9,520 bytes) 2019-07-17 23:38

- Relationships
related to 0028954verifiedbugmaster Open CASCADE Visualization - implement interactive object AIS_ViewCube for camera manipulations 
related to 0027393newkgv Open CASCADE Visualization, TKOpenGl - use transform persistence mechanism with OpenGl_Text instead of internal matrix transformations 

-  Notes
(0085728)
git (administrator)
2019-07-18 00:10

Branch CR30850 has been created by kgv.

SHA-1: 0fbdaf1cb0272aedc177ba931e53d550914cb9af


Detailed log of new commits:

Author: kgv
Date: Thu Jul 18 00:08:02 2019 +0300

    0030850: Visualization, OpenGl_Text - text within trihedron persistence jitters when camera is far from origin
    
    OpenGl_Text now discards (redundant) translation part from camera orientation matrix.
    Text anchor point alignment to integer coordinates is now not performed for 3D-oriented text.
(0085729)
git (administrator)
2019-07-18 00:14

Branch CR30850 has been updated forcibly by kgv.

SHA-1: d237f74f3b34a549758aac9b47fe35a6e0a889e6
(0085730)
kgv (developer)
2019-07-18 04:57

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30850-master-KGV/ [^]
(0085731)
git (administrator)
2019-07-18 05:02

Branch CR30850 has been updated forcibly by kgv.

SHA-1: 11615bde567538a429ab62eabfa3d000a02b095d
(0085743)
git (administrator)
2019-07-18 11:11

Branch CR30850 has been updated forcibly by kgv.

SHA-1: 27686d4b8cd7a94acae5bdbd1587e49487a3373a
(0085755)
osa (developer)
2019-07-18 12:29

The patch is reviewed without remarks
(0085759)
bugmaster (administrator)
2019-07-18 13:32

Combination -
OCCT branch : CR30850
master SHA - 0fbdaf1cb0272aedc177ba931e53d550914cb9af
32ce09545dc9c46a47a51a964a24b1f472e6c2c4
Products branch : master SHA - ce8f14216a548db739b749891b6f800b0d5c6e8b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16187.940000000095 / 16237.640000000089 [-0.31%]
Products
Total CPU difference: 10504.620000000048 / 10517.890000000038 [-0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 17629.078125 / 17623.078125 [+0.03%]
Products
Total CPU difference: 12092.78125 / 12058.53125 [+0.28%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0085847)
git (administrator)
2019-07-20 11:56

Branch CR30850 has been deleted by inv.

SHA-1: 27686d4b8cd7a94acae5bdbd1587e49487a3373a

- Related Changesets
occt: master a3a3ff3d
Timestamp: 2019-07-17 21:08:02
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030850: Visualization, OpenGl_Text - text within trihedron persistence jitters when camera is far from origin

OpenGl_Text now discards (redundant) translation part from camera orientation matrix.
Text anchor point alignment to integer coordinates is now not performed for 3D-oriented text.
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
add - tests/v3d/viewcube/largedist Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-07-17 23:38 kgv New Issue
2019-07-17 23:38 kgv Assigned To => kgv
2019-07-17 23:38 kgv File Added: draw_viewcube_KO.png
2019-07-17 23:38 kgv Relationship added related to 0028954
2019-07-17 23:39 kgv Relationship added related to 0027393
2019-07-18 00:10 git Note Added: 0085728
2019-07-18 00:14 git Note Added: 0085729
2019-07-18 04:57 kgv Note Added: 0085730
2019-07-18 04:57 kgv Assigned To kgv => osa
2019-07-18 04:57 kgv Status new => resolved
2019-07-18 05:02 git Note Added: 0085731
2019-07-18 11:11 git Note Added: 0085743
2019-07-18 11:24 kgv Relationship added related to 0024393
2019-07-18 11:24 kgv Relationship added related to 0030665
2019-07-18 11:27 kgv Relationship added child of 0026343
2019-07-18 11:27 kgv Product Version 7.3.0 => 7.0.0
2019-07-18 12:29 osa Note Added: 0085755
2019-07-18 12:29 osa Assigned To osa => bugmaster
2019-07-18 12:29 osa Status resolved => reviewed
2019-07-18 13:30 bugmaster Test case number => v3d/viewcube/largedist
2019-07-18 13:32 bugmaster Note Added: 0085759
2019-07-18 13:32 bugmaster Status reviewed => tested
2019-07-20 11:42 bugmaster Changeset attached => occt master a3a3ff3d
2019-07-20 11:42 bugmaster Status tested => verified
2019-07-20 11:42 bugmaster Resolution open => fixed
2019-07-20 11:56 git Note Added: 0085847


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker